<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      procart Enterprise 3.8                                       ***
  ***      File:  admin_black_ip.php                                       ***
  ***      Built: Tue Nov 14 19:00:40 2006                                 ***
  ***      http://www.procart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/record.php");

	check_admin_security("black_ips");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_black_ip.html");

	$t->set_var("admin_href", "admin.php");
	$t->set_var("admin_black_ips_href", "admin_black_ips.php");
	$t->set_var("admin_black_ip_href", "admin_black_ip.php");

	$r = new VA_Record($table_prefix . "black_ips");
	$r->return_page = "admin_black_ips.php";
	$r->add_where("ip_address", TEXT);

	$r->add_textbox("ip_address_edit", TEXT, "IP Address");
	$r->change_property("ip_address_edit", COLUMN_NAME, "ip_address");
	$r->change_property("ip_address_edit", REQUIRED, true);
	$r->change_property("ip_address_edit", UNIQUE, true);
	$r->change_property("ip_address_edit", REGEXP_MASK, "/^[\d\.]+$/");
	$r->change_property("ip_address_edit", MIN_LENGTH, 3);
	$r->change_property("ip_address_edit", MAX_LENGTH, 15);

	$address_actions = array(
		array(0, "Red warning for administrators"),
		array(1, "Block all activities"),
	);
	$r->add_radio("address_action", INTEGER, $address_actions, "Action");
	$r->change_property("address_action", REQUIRED, true);
	$r->add_textbox("address_notes", TEXT, "Notes");

	$r->process();

	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");

?>
